/**
 * Copyright (c) 2010 Generative Software Development Lab, University of Waterloo, Canada. All Rights Reserved
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of the 
 * GNU Lesser General Public License as published by the Free Software Foundation; either version 
 * 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See 
 * the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this library;
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, 
 * MA  02110-1301  USA
 * 
 * You can find the license also here: http://www.gnu.org/copyleft/lesser.html 
 */
package ca.uwaterloo.gsd.icsm2010.wrappers.swt2swing;

/**
 * Constants used in the example are simply copied from the source API
 * 
 * @author Thiago Tonelli Bartolomei
 */
public class SWT {

	public static final int PUSH = 1 << 3;
	public static final int CHECK = 1 << 5;
	public static final int MULTI = 1 << 1;
	public static final int CLOSE = 1 << 6;
	public static final int TITLE = 1 << 5;
	public static final int RESIZE = 1 << 4;
	public static final int MIN = 1 << 7;
	public static final int V_SCROLL = 1 << 9;
	public static final int MAX = 1 << 10;
	public static final int BORDER = 1 << 11;
	public static final int SHELL_TRIM = CLOSE | TITLE | MIN | MAX | RESIZE;
}
